/**
 * Test module for scrollView issues currently found in Ti 1.8.1
 */
exports.init = function(params) {
	var count = 0;
	var data = [];
	// var dashboard = Ti.UI.createTableView(params.dashboard);
	var dashboard = Ti.UI.createScrollView({
		top: 0,
		bottom: 0,
		left: 0,
		right: 0,
		// canCancelEvents: false,
		scrollType: 'vertical',
		contentHeight: 'auto',
		layout: 'vertical'
	});
	dashboard.data = data;
	var rowStyle = params.row;
	var streamStyle = params.stream;
	var cellStyle = params.cell;

	function addStream(params) {
		// var row = Ti.UI.createTableViewRow(rowStyle);
		var row = Ti.UI.createView({
			top: 5,  // PORTRAIT 11, LANDSCAPE -4
			bottom: 5,
			width: '100%',
			height: 174
		});
		row.id = params.id;
		row.index = count;
		var stream = Ti.UI.createScrollView(streamStyle);
		stream.layout = 'horizontal';
		stream.contentWidth = 'auto';
		// dashboard.appendRow(row);
		row.add(stream);
		data.push(row);
		// dashboard.data = data;
		dashboard.add(row);

		if (params && params.data)
			for (var i = 0, len = params.data.length; i < len; i ++)
				addItem(row.index, params.data[i]);

		count ++;

	}

	function updateStream(params) {
		// TODO: Not Yet Implemented
		Ti.API.warn("Not yet implemented");
	}

	function addFilter(stream, item) {
		data[stream].add(item);
	}

	function addItem(stream, params) {
		var row = data[stream];
		var stream = row.children[0];
		var style = params.style || row.id;
		var cell = Ti.UI.createView(cellStyle[style]);
		if (!stream.children)
			cell.left = 70;
		var componentStyle = require('styles');
		var defaultStyle = componentStyle.cellComponents["Default"];
		switch (style) {
			case "Sessions":
				var photo = Ti.UI.createImageView(componentStyle.photo || defaultStyle.photo);
				var photoContainer = Ti.UI.createView(componentStyle.photoContainer || defaultStyle.photoContainer);
				var container = Ti.UI.createView(componentStyle.container || defaultStyle.container);
				var title = Ti.UI.createLabel(componentStyle.title || defaultStyle.title);
				var descripts = Ti.UI.createLabel(componentStyle.description || defaultStyle.description);
				var time = Ti.UI.createLabel(componentStyle.time || defaultStyle.time);
				var location = Ti.UI.createLabel(componentStyle.location || defaultStyle.location);
				var day = Ti.UI.createLabel(componentStyle.day || defaultStyle.day);
				var month = Ti.UI.createLabel(componentStyle.month || defaultStyle.month);
				var separator1 = Ti.UI.createView(componentStyle.separator1 || defaultStyle.separator1);
				var separator2 = Ti.UI.createView(componentStyle.separator2 || defaultStyle.separator2);
				var calendar = Ti.UI.createButton(componentStyle.calendar || defaultStyle.calendar);
				var geolocator = Ti.UI.createButton(componentStyle.geolocator || defaultStyle.geolocator);
				//TODO: Check the format that the date comes from the web service
				var date = params.date.split(" ");
				photo.image = params.image;
				title.text = params.title;
				descripts.text = params.description;
				time.text = params.time;
				location.text = params.location;
				day.text = date[0];
				month.text = date[1].toUpperCase();
				container.add(title);
				container.add(descripts);
				photoContainer.add(photo)
				cell.add(photoContainer);
				cell.add(container);
				cell.add(time);
				cell.add(location);
				cell.add(day);
				cell.add(month);
				cell.add(separator1);
				cell.add(separator2);
				cell.add(calendar);
				cell.add(geolocator);
				if (params.attending) {
					var checked = Ti.UI.createView(componentStyle.checked || defaultStyle.checked);
					cell.add(checked);
				}
				break;
			case "Attendees":
				var photo = Ti.UI.createImageView(componentStyle.photo || defaultStyle.photo);
				var photoContainer = Ti.UI.createView(componentStyle.photoContainer || defaultStyle.photoContainer);
				var container = Ti.UI.createView(componentStyle.container || defaultStyle.container);
				var title = Ti.UI.createLabel(componentStyle.title || defaultStyle.title);
				var descripts = Ti.UI.createLabel(componentStyle.description || defaultStyle.description);
				var separator = Ti.UI.createView(componentStyle.separator || defaultStyle.separator);
				var chat = Ti.UI.createButton(componentStyle.chat || defaultStyle.chat);
				var people = Ti.UI.createButton(componentStyle.people || defaultStyle.people);
				photo.image = params.image;
				title.text = params.title;
				descripts.text = params.description;
				container.add(title);
				container.add(descripts);
				photoContainer.add(photo);
				cell.add(photoContainer);
				cell.add(container);
				cell.add(separator);
				cell.add(chat);
				cell.add(people);
				if (params.attending){
					var checked = Ti.UI.createView(componentStyle.checked || defaultStyle.checked);
					cell.add(checked);
				}
				break;
			case "News":
				var photo = Ti.UI.createImageView(componentStyle.photo || defaultStyle.photo);
				var photoContainer = Ti.UI.createView(componentStyle.photoContainer || defaultStyle.photoContainer);
				var container = Ti.UI.createView(componentStyle.container || defaultStyle.container);
				var title = Ti.UI.createLabel(componentStyle.title || defaultStyle.title);
				var descripts = Ti.UI.createLabel(componentStyle.description || defaultStyle.description);
				var time = Ti.UI.createLabel(componentStyle.time || defaultStyle.time);
				photo.image = params.image;
				title.text = params.title;
				descripts.text = params.description;
				time.text = params.time;
				container.add(title);
				container.add(descripts);
				photoContainer.add(photo);
				cell.add(photoContainer);
				cell.add(container);
				cell.add(time);
				break;
			case "News-Twitter":
				var photo = Ti.UI.createImageView(componentStyle.photo || defaultStyle.photo);
				var container = Ti.UI.createView(componentStyle.container || defaultStyle.container);
				var title = Ti.UI.createLabel(componentStyle.title || defaultStyle.title);
				var descripts = Ti.UI.createLabel(componentStyle.description || defaultStyle.description);
				var time = Ti.UI.createLabel(componentStyle.time || defaultStyle.time);
				photo.image = params.image;
				title.text = params.title;
				descripts.text = params.description;
				time.text = params.time
				container.add(title);
				container.add(descripts);
				cell.add(photo);
				cell.add(container);
				cell.add(time);
				break;
			case "Events":
				var photo = Ti.UI.createImageView(componentStyle.photo || defaultStyle.photo);
				var photoContainer = Ti.UI.createView(componentStyle.photoContainer || defaultStyle.photoContainer);
				photo.image = params.image;
				photoContainer.add(photo);
				cell.add(photoContainer);
				break;
			case "Events-Detailed":
				var photo = Ti.UI.createImageView(componentStyle.photo || defaultStyle.photo);
				var photoContainer = Ti.UI.createView(componentStyle.photoContainer || defaultStyle.photoContainer);
				var container = Ti.UI.createView(componentStyle.container || defaultStyle.container);
				var title = Ti.UI.createLabel(componentStyle.title || defaultStyle.title);
				var descripts = Ti.UI.createLabel(componentStyle.description || defaultStyle.description);
				photo.image = params.image;
				title.text = params.title;
				descripts.text = params.description;
				container.add(title);
				container.add(descripts);
				photoContainer.add(photo);
				cell.add(photoContainer);
				cell.add(container);
                break;
			case "Gallery":
				var photo = Ti.UI.createImageView(componentStyle.photo || defaultStyle.photo);
				var photoContainer = Ti.UI.createView(componentStyle.photoContainer || defaultStyle.photoContainer);
				photo.image = params.image;
				photoContainer.add(photo);
				cell.add(photoContainer);
				break;
		}
		stream.add(cell);
		row.add(stream);
	}

	return {
		dashboard: dashboard,
		addStream: addStream,
		updateStream: updateStream,
		addFilter: addFilter,
		addItem: addItem
	};
};
