module.exports = {
    // Orientation specific
    portrait: {},
    landscape: {},
    // Defaults
	dashboard: {
		//backgroundImage : 'images/global/background.png',
		//backgroundRepeat : true,
		backgroundColor:'transparent',
		top: 25,
		bottom: 0,
		separatorStyle: Ti.UI.iPhone.TableViewSeparatorStyle.NONE
	},
	stream: {
		height:162,
		top : 15,
		left: 0,
		contentWidth: 'auto',
		contentHeight:162,
		showVerticalScrollIndicator:false,
		showHorizontalScrollIndicator:false,
		disableBounce:false,
		scrollType: 'horizontal'
	},
	row: {
		backgroundColor:'transparent',
		selectedBackgroundColor: 'transparent',
		width:'auto',
		height:186
	},
	cell: {
		'Sessions': {
			height: 152,
			width: 502,
			backgroundImage : 'images/dashboard/cell_background.png',
			right : 8,
			borderRadius: 5,
			touchEnabled: false
		},
		'Attendees': {
			height: 152,
			width: 392,
			backgroundImage : 'images/dashboard/cell_background.png',
			backgroundLeftCap : 8,
			right: 8,
			borderRadius: 5,
			touchEnabled: false
		},
		'News': {
			height: 152,
			width: 502,
			backgroundImage : 'images/dashboard/cell_background.png',
			right: 8,
			borderRadius: 5,
			touchEnabled: false
		},
		'News-Twitter': {
			height: 152,
			width: 322,
			backgroundImage : 'images/dashboard/cell_background.png',
			backgroundLeftCap : 8,
			right: 8,
			borderRadius: 5,
			touchEnabled: false
		},
		'Events': {
			height: 152,
			width: 192,
			backgroundImage : 'images/dashboard/cell_background.png',
			backgroundLeftCap : 8,
			right: 8,
			borderRadius: 5,
			touchEnabled: false
		},
		'Events-Detailed': {
			height: 152,
			width: 392,
			backgroundImage : 'images/dashboard/cell_background.png',
			backgroundLeftCap : 8,
			right: 8,
			borderRadius: 5,
			touchEnabled: false
		},
		'Gallery': {
			height: 152,
			width: 192,
			backgroundImage : 'images/dashboard/cell_background.png',
			backgroundLeftCap : 8,
			right: 8,
			borderRadius: 5,
			touchEnabled: false
		}
	},
	cellComponents: {
		'Default': {
			photo: {
				left:0,
				top:0,
				height: 150,
				width: 190,
				touchEnabled: false
			},
			photoContainer: {
				left:1,
				top:0,
				height: 150,
				width: 200,
				borderRadius: 5,
				touchEnabled: false,
			},
			checked: {
				right:0,
				top:0,
				height:31,
				width:31,
				backgroundImage: '/images/dashboard/item_checked.png'
			}
		},
		'Sessions': {
			container: {
				layout :'vertical',
				left : 208,
				right : 25,
				top : 12,
				bottom : 40
			},
			title: {
				left: 0,
				right : 0,
				top: 0,
				height: 'auto',
			    color: '#000',
			    font:{
			    	fontSize:20,
			    	fontFamily: 'Knowledge',
			    	fontWeight: 'medium'
		    	},
			    textAlign:'left',
			    touchEnabled:false
			},
			description: {
				left: 0,
				right: 0,
				top: 15,
				textAlign:'left',
				height:'auto',
			    color:'#545454',
			    font: {
			    	fontSize:14,
			    	fontWeight:'regular',
			    	fontFamily:'Helvetica'
		    	},
			    touchEnabled:false
			},
			time: {
				height:'auto',
				color : '#545454',
				font : {
					fontWeight : 'bold',
					fontSize : 12
				},
				top : 115,
				left : 240
			},
			location: {
				height:'auto',
				color : '#545454',
				font : {
					fontWeight : 'regular',
					fontSize : 12
				},
				top : 128,
				left : 240
			},
			day: {
				height:'auto',
				color : '#545454',
				font : {
					fontWeight : 'bold',
					fontSize : 16
				},
				top : 115,
				left : 205
			},
			month: {
				height:'auto',
				color : '#545454',
				font : {
					fontWeight : 'bold',
					fontSize : 10
				},
				top : 131,
				left : 205
			},
			separator1: {
				width : 1,
				top: 118,
				bottom: 7,
				left: 235,
				backgroundColor: '#CCC'
			},
			separator2: {
				width : 1,
				top: 118,
				bottom: 7,
				left: 455,
				backgroundColor: '#CCC'
			},
			calendar: {
				width : 31,
				height : 31,
				backgroundImage : '/images/dashboard/calendar_add.png',
				top: 115,
				left : 463
			},
			geolocator: {
				width : 31,
				height : 31,
				backgroundImage : '/images/dashboard/location.png',
				top: 115,
				left : 418
			}
		},
		'Attendees': {
			container: {
				layout :'vertical',
				left : 208,
				right : 25,
				top : 12,
				bottom : 40
			},
			title: {
				left: 0,
				right : 0,
				top: 0,
				height: 'auto',
			    color: '#000',
			    font:{
			    	fontSize:20,
			    	fontFamily: 'Knowledge',
			    	fontWeight: 'medium'
		    	},
			    textAlign:'left',
			    touchEnabled:false
			},
			description: {
				left: 0,
				right: 0,
				top: 11,
				textAlign:'left',
				height:'auto',
			    color:'#545454',
			    font: {
			    	fontSize:12,
			    	fontWeight:'bold'
		    	},
			    touchEnabled:false
			},
			separator: {
				width : 1,
				top: 118,
				bottom: 7,
				left: 345,
				backgroundColor: '#CCC'
			},
			chat: {
				width : 31,
				height : 31,
				backgroundImage : '/images/dashboard/conversation.png',
				top: 115,
				left : 307
			},
			people: {
				width : 31,
				height : 31,
				backgroundImage : '/images/dashboard/people_add_checked.png',
				top: 115,
				left : 353
			}
		},
		'News': {
			container: {
				layout :'vertical',
				left : 208,
				right : 12,
				top : 12,
				bottom : 30
			},
			title: {
				left: 0,
				right : 0,
				top: 0,
				height: 'auto',
			    color: '#000',
			    font:{
			    	fontSize:20,
			    	fontFamily: 'Knowledge',
			    	fontWeight: 'medium'
		    	},
			    textAlign:'left',
			    touchEnabled:false
			},
			description: {
				left: 0,
				right: 0,
				top: 15,
				textAlign:'left',
				height:'auto',
			    color:'#545454',
			    font: {
			    	fontSize:14,
			    	fontWeight:'regular',
			    	fontFamily:'Helvetica'
		    	},
			    touchEnabled:false
			},
			time: {
				height:'auto',
				color : '#545454',
				font : {
					fontWeight : 'regular',
					fontSize : 12
				},
				top : 125,
				left : 208
			}
		},
		'News-Twitter': {
			photo: {
				left:7,
				top:7,
				height: 51,
				width: 51,
				borderWidth : 1,
				borderColor : '#f8f8f8',
				touchEnabled: false,
				borderRadius : 4
			},
			container: {
				layout :'vertical',
				left : 68,
				right : 11,
				top : 12,
				bottom : 25
			},
			title: {
				left: 0,
				right : 0,
				top: 0,
				height: 'auto',
				color: '#000',
				font:{
					fontSize:20,
					fontFamily: 'Knowledge',
					fontWeight: 'medium'
				},
				textAlign:'left',
				touchEnabled:false
			},
			description: {
				left: 0,
				right: 0,
				top: 11,
				textAlign:'left',
				height:'auto',
			    color:'#545454',
			    font: {
			    	fontSize:14,
			    	fontWeight:'regular'
		    	},
			    touchEnabled:false
			},
			time: {
				height:'auto',
				color : '#545454',
				font : {
					fontWeight : 'regular',
					fontSize : 12
				},
				top : 125,
				left : 68
			}
		},
		'Events': {
			photoContainer: {
				left:1,
				top:0,
				height: 150,
				width: 190,
				borderRadius: 5,
				touchEnabled: false,
			}
		},
		'Events-Detailed': {
			container: {
				layout :'vertical',
				left : 208,
				right : 25,
				top : 12,
				bottom : 40
			},
			title: {
				left: 0,
				right : 0,
				top: 0,
				height: 'auto',
			    color: '#000',
			    font:{
			    	fontSize:20,
			    	fontFamily: 'Knowledge',
			    	fontWeight: 'medium'
		    	},
			    textAlign:'left',
			    touchEnabled:false
			},
			description: {
				left: 0,
				right: 0,
				top: 11,
				textAlign:'left',
				height:'auto',
			    color:'#545454',
			    font: {
			    	fontSize:12,
			    	fontWeight:'bold'
		    	},
			    touchEnabled:false
			}
		},
		'Gallery': {
			photoContainer: {
				left:1,
				top:0,
				height: 150,
				width: 190,
				borderRadius: 5,
				touchEnabled: false,
			}
		}
	}
};